#include "../Headers/io.h"

void IOInit()
{
    //PORTA disable all pullup resistors
    PORTA = 0x00;
    DDRA = 0x00;

    //PORTB disable all pullup resistors, every pin is set to input
    PORTB = 0x00;
    DDRB = 0x00;

    //PORTC disable all pullup resistors, every pin is set to input
    PORTC = 0x00;
    DDRC = 0x00;

    //PORTD disable all pullup resistors, every pin is set to input
    PORTD = 0x00;
    DDRD = 0x00;
    //LED output
    sbi(DDRD, 6);
}

void ComparatorInit()
{
	//Set AIN0 and AIN1 as input
	AIN0_DDR &= ~(0<<AIN0_BIT);
	AIN1_DDR &= ~(0<<AIN1_BIT);
	//Set comparator registers: 
		//ACD: Analog Comparator Disable
		//ACBG: Analog Comparator Bandgap Reference
		//ACIE: Analog Comparator Interrupt Enable
		//ACIC: Analog Comparator Interrupt Capture
	// Comparator enabled, AIN0 reference, interrupt disabled, interrupt capture disabled
	ACSR = (0<<ACD) + (0<<ACBG) + (0<<ACIE) + (0<<ACIC);
}