/*
 * Chapter 14
 *
 * We set the voltage going to the PB2 (AIN0) with a potentiometer, while a termistor is connected to the PB3 (AIN1) input.
 * The built-in comparator compares the two values, the output is connected to an LED at PD6.
 */

#include "../Headers/main.h"

int main(void)
{
    //Initializing ports
    IOInit();
	
	//Initializing comparators
	ComparatorInit();

    //Infinite loops
    while (1)
    {
        //Check the state of the comparator
        if (tbi(ACSR, ACO) != 0)
        {
            //Turn on the LED
			sbi(PORTD, 6);
		}
		else
		{
			//Turn off the LED
			cbi(PORTD, 6);
		}
    }
    return 0;
}